# $Revision: 1.21 $, $Date: 2011/02/08 20:56:10 $
Summary:	C++ Framework for creating GNOME applications
Summary(pl.UTF-8):	Struktura C++ do tworzenia programów dla GNOME
Name:		bakery
Version:	2.6.3
Release:	2
License:	LGPL v2+
Group:		X11/Development/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/bakery/2.6/%{name}-%{version}.tar.bz2
# Source0-md5:	49d28fecf13252f4f2899461505e56e5
# http://bugzilla.gnome.org/show_bug.cgi?id=564168
Patch0:		%{name}-release-version.patch
URL:		http://bakery.sourceforge.net/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	gconfmm-devel >= 2.16.0
BuildRequires:	gettext-devel
BuildRequires:	glibmm-devel >= 2.16.0
BuildRequires:	gtkmm-devel >= 2.10.5
BuildRequires:	intltool
BuildRequires:	libglademm-devel >= 2.6.3
BuildRequires:	libtool
BuildRequires:	libxml++-devel >= 2.24.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
Requires:	gconfmm >= 2.16.0
Requires:	gtkmm >= 2.10.5
Requires:	libglademm >= 2.6.3
Requires:	libxml++ >= 2.24.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bakery is a C++ Framework for creating document-based GNOME
applications using gtkmm and/or gnomemm.

- provides a Document/View architecture,
- can use XML as a Document storage format,
- provides default functionality, which can be easily customized,
- makes it easy to start developing GNOME applications,
- gives your application structure,
- contains a few utility classes.

%description -l pl.UTF-8
Bakery jest strukturą C++ do tworzenia opartych na dokumentach
programów dla GNOME przy użyciu gtkmm i/lub gnomemm.

- dostarcza architektury Dokument/Widok
- może używać XML jako formatu zapisu Dokumentu,
- dostarcza domyślnej, łatwo modyfikowalnej funkcjonalności,
- pozwala na łatwy start w tworzeniu aplikacji GNOME,
- nadaje aplikacji format,
- zawiera kilka klas użytkowych

%package devel
Summary:	Bakery header files
Summary(pl.UTF-8):	Pliki nagłówkowe Bakery
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gconfmm-devel >= 2.16.0
Requires:	glibmm-devel >= 2.16.0
Requires:	gtkmm-devel >= 2.10.5
Requires:	libglademm-devel >= 2.6.3
Requires:	libxml++-devel >= 2.24.0

%description devel
Header files for Bakery framework.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla struktury Bakery.

%package static
Summary:	Static Bakery library
Summary(pl.UTF-8):	Statyczna biblioteka Bakery
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Bakery library.

%description static -l pl.UTF-8
Statyczna biblioteka Bakery.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libbakery-*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libbakery-2.6-2.6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbakery-2.6-2.6.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbakery-2.6.so
%dir %{_libdir}/bakery-2.6
%{_libdir}/bakery-2.6/include
%{_includedir}/bakery-2.6
%{_pkgconfigdir}/bakery-2.6.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libbakery-2.6.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bakery.spec,v $
Revision 1.21  2011/02/08 20:56:10  wiget
- drop libtool file
- rel. 2

Revision 1.20  2009/02/11 09:28:28  megabajt
- updated to 2.6.3
- added -release-version.patch

Revision 1.19  2009/01/20 14:43:33  duddits
- up to 2.4.4

Revision 1.18  2008/11/16 10:09:24  arekm
- release 3

Revision 1.17  2008/04/07 12:42:08  megabajt
- package all files
- release 2

Revision 1.16  2007-12-20 19:09:45  qboosh
- reverted false libcap BR, fix your GNOME libs

Revision 1.15  2007-12-20 19:09:11  qboosh
- LGPL v2+

Revision 1.14  2007-12-19 17:02:46  zbyniu
- up to 2.4.3

Revision 1.13  2007-06-14 18:14:44  arekm
- rel 2

Revision 1.12  2007/02/12 21:23:48  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.10  2006/12/22 16:10:36  megabajt
- up to 2.4.1

Revision 1.9  2006/08/11 20:32:12  freetz
- ues HEAD deps

Revision 1.8  2006/08/10 14:35:31  qboosh
- merged update to 2.4.0 from AC-branch

Revision 1.5.2.2  2006/08/10 14:34:33  qboosh
- updated gtkmm BR, install time deps, cleanup

Revision 1.5.2.1  2006/08/09 19:55:01  freetz
- 2.4.0

Revision 1.7  2006/03/17 15:42:13  freetz
- 2.3.17

Revision 1.6  2005/06/27 01:45:29  zbyniu
- BR: gettext-devel

Revision 1.5  2005/06/26 12:12:56  freetz
- 2.3.15

Revision 1.4  2005/05/16 21:05:03  freetz
- 2.3.14

Revision 1.3  2005/04/25 19:20:17  qboosh
- strict internal deps, cosmetics

Revision 1.2  2005/04/24 09:34:33  freetz
- BR: libglademm-devel >= 2.4.0

Revision 1.1  2005/04/24 09:29:31  freetz
- initial
